Bug 490851 - Review Request: php-ezc-SystemInformation - eZ Components SystemInformation
Review Request: php-ezc-SystemInformation - eZ Components SystemInformation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 484507 484509
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 06:29 EDT by Guillaume Kulakowski
Modified: 2014-09-02 09:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.7-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 20:21:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-03-18 06:29:14 EDT
SystemInformation is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

Provides access to common system variables, such as CPU type and speed, and the
available amount of memory.


SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-SystemInformation.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-SystemInformation-1.0.7-1.fc10.noarch.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-SystemInformation-1.0.7-1.fc10.src.rpm

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-SystemInformation *             
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ./*                         | 5.0.0   | 0 | pcre       | abstract           |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
+-----------------------------+---------+---+------------+--------------------+
Comment 1 Remi Collet 2009-04-27 12:21:15 EDT
REVIEW:

+ rpmlint is ok
php-ezc-SystemInformation.src: I: checking
php-ezc-SystemInformation.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
7cb58a3adf1b0507688333a258e1fa83  SystemInformation-1.0.7.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2, php-channel(components.ez.no)) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (fedora-rawhide-x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
/usr/bin/pear 
php-common >= 5.2.1
php-pear(components.ez.no/Base) >= 1.5.2
+ Final Provides ok
php-pear(components.ez.no/SystemInformation) = 1.0.7
php-ezc-SystemInformation = 1.0.7-1.fc8


--------
APPROVED
--------
Comment 2 Guillaume Kulakowski 2009-04-27 13:46:41 EDT
New Package CVS Request
=======================
Package Name: php-ezc-SystemInformation
Short Description: Provides access to common system variables
Owners: llaumgui
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-04-28 23:05:25 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-29 14:00:36 EDT
php-ezc-SystemInformation-1.0.7-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-SystemInformation-1.0.7-1.fc9
Comment 5 Fedora Update System 2009-04-29 14:00:41 EDT
php-ezc-SystemInformation-1.0.7-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-SystemInformation-1.0.7-1.fc10
Comment 6 Fedora Update System 2009-05-02 12:27:37 EDT
php-ezc-SystemInformation-1.0.7-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-SystemInformation'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4104
Comment 7 Fedora Update System 2009-05-02 12:38:21 EDT
php-ezc-SystemInformation-1.0.7-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-SystemInformation'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4181
Comment 8 Fedora Update System 2009-05-12 20:21:27 EDT
php-ezc-SystemInformation-1.0.7-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-12 20:28:09 EDT
php-ezc-SystemInformation-1.0.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Guillaume Kulakowski 2010-08-29 05:11:40 EDT
Package Change Request
======================
Package Name: php-ezc-SystemInformation 
New Branches: EL-6
Owners: llaumgui
Comment 11 Kevin Fenzi 2010-08-29 14:49:23 EDT
Git done (by process-git-requests).
Comment 12 Guillaume Kulakowski 2014-09-02 09:07:32 EDT
Package Change Request
======================
Package Name: php-ezc-SystemInformation 
New Branches: EL-7
Owners: llaumgui
Comment 13 Gwyn Ciesla 2014-09-02 09:28:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.